/**    
* @desc JQuery选项卡插件    
* @author mengdejun    
* @version 1.1.1    
* @date 20100817    
*/     
(function($)      
{      
/**    
* @desc 导航栏    
* @param ids 选项卡层命名前缀 默认为tab    
* @param cls 选项卡层通用类前缀 默认为tabcls    
* @param def 默认显示选项卡序列号 默认为1    
*/     
$.fn.navTabs = function(ids,cls,def,effectClass)      
{      
   if(!ids||ids=="")ids="tab"     
   if(!cls||cls=="")cls="tabcls";      
   if(!def||def==0)def=1;      
   if(!effectClass||effectClass==0)effectClass="selected";      
   $("."+cls).hide();      
   $("#"+ids+""+def).show();      
   $(this).find("ul li").each(function(index,ele)      
   {      
    if(typeof($(ele).attr("name"))=="undefined")      
    {      
     $(ele).attr("name",(index+1));      
    }      
    if(index+1==def)$(ele).find("a").addClass(effectClass);      
    $(ele).bind("click",function()      
    {      
     $("."+cls).hide();      
     $(this).siblings().each(function(ind,el){$(el).find("a").removeClass(effectClass);});      
     $(this).children("a").addClass(effectClass);      
     $("#"+ids+$(this).attr("name")).show();      
    });      
});      
};      
/**    
* @desc 滚动行函数    
* @param cls 激活时采用的类    
*/     
$.fn.round=function(cls)      
{      
   $(this).bind("mouseover",function(){$(this).addClass(cls);});      
   $(this).bind("mouseout",function(){$(this).removeClass(cls);});      
};      
/**    
* @desc 单击事件绑定函数    
* @param obj json对象(回调函数) 调用时候会传递当前对象至函数    
* @example {doSelect:function(obj){}}    
*/     
$.fn.select=function(obj)      
{      
   $(this).bind("click",function(){if(obj)obj.doSelect(this);});      
};      
})(jQuery);   
